Anonymous Login
2016-12-07 21:10 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
05083Bug reports[All Projects] Theme editorpublic2011-04-11 11:30
Reporterdodev 
Assigned ToDenisChenu 
PrioritylowSeveritytrivial 
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version1.91RC6 
Summary05083: The template form doesn't accept '.jpeg' files.
DescriptionThe upload form in the template editor gives an 'unsupported filetype' message when trying to upload an image with .jpeg extension. I thought it would be nice if it accepted that extension, because it would save the user a few moments to rename the file :)
Steps To ReproduceOpen Administration >> Template editor and try to upload a file with '.jpeg' extension.
TagsNo tags attached.
Complete LimeSurvey version number (& build)9963
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL v5.1.55
Operating System (Server)Fedora 14 2.6.35 i686
Webserver software & versionApache 2.2.17
PHP Version5.3.5
Attached Files
  • diff file icon fix_img_upload.diff (895 bytes) 2011-04-05 19:18 -
    Index: config-defaults.php
    ===================================================================
    --- config-defaults.php	(revision 9963)
    +++ config-defaults.php	(working copy)
    @@ -86,7 +86,7 @@
     
     $defaulttemplate    =  'default';         // This setting specifys the default theme used for the 'public list' of surveys
     
    -$allowedtemplateuploads = 'gif,ico,jpg,png';  // File types allowed to be uploaded in the templates section.
    +$allowedtemplateuploads = 'gif,ico,jpg,jpeg,png';  // File types allowed to be uploaded in the templates section.
     
     $allowedresourcesuploads = '7z,aiff,asf,avi,bmp,csv,doc,fla,flv,gif,gz,gzip,ico,jpeg,jpg,mid,mov,mp3,mp4,mpc,mpeg,mpg,ods,odt,pdf,png,ppt,pxd,qt,ram,rar,rm,rmi,rmvb,rtf,sdc,sitd,swf,sxc,sxw,tar,tgz,tif,tiff,txt,vsd,wav,wma,wmv,xls,xml,zip,pstpl,css,js';   // File types allowed to be uploaded in the resources sections, and with the HTML Editor
     
    
    diff file icon fix_img_upload.diff (895 bytes) 2011-04-05 19:18 +
  • ? file icon config-defaults-patch (878 bytes) 2011-04-05 22:58 -
    --- config-defaults.php	2011-04-04 15:45:39.069349002 +0530
    +++ config-defaults-patch.php	2011-04-06 02:22:02.747844002 +0530
    @@ -86,7 +86,8 @@
     
     $defaulttemplate    =  'default';         // This setting specifys the default theme used for the 'public list' of surveys
     
    -$allowedtemplateuploads = 'gif,ico,jpg,png';  // File types allowed to be uploaded in the templates section.
    +//patch to allow jpeg uploads
    +$allowedtemplateuploads = 'gif,ico,jpg,png,jpeg';  // File types allowed to be uploaded in the templates section.
     
     $allowedresourcesuploads = '7z,aiff,asf,avi,bmp,csv,doc,fla,flv,gif,gz,gzip,ico,jpeg,jpg,mid,mov,mp3,mp4,mpc,mpeg,mpg,ods,odt,pdf,png,ppt,pxd,qt,ram,rar,rm,rmi,rmvb,rtf,sdc,sitd,swf,sxc,sxw,tar,tgz,tif,tiff,txt,vsd,wav,wma,wmv,xls,xml,zip,pstpl,css,js';   // File types allowed to be uploaded in the resources sections, and with the HTML Editor
     
    
    ? file icon config-defaults-patch (878 bytes) 2011-04-05 22:58 +

-Relationships
+Relationships

-Notes

~14679

dodev (reporter)

I attached a solution to the problem. I'm a new guy so sorry if I spammed or something :)

~14682

user13194

Attached a patch to modify config-defaults.

~14691

DenisChenu (developer)

I think it's a good idea !

Great thanks to us .

:)

~14693

DenisChenu (developer)

Revision 9971

~14749

c_schmitz (administrator)

1.91RC6 released.
+Notes

-Issue History
Date Modified Username Field Change
2011-04-05 19:17 dodev New Issue
2011-04-05 19:18 dodev File Added: fix_img_upload.diff
2011-04-05 19:19 dodev Note Added: 14679
2011-04-05 22:58 user13194 File Added: config-defaults-patch
2011-04-06 09:00 user13194 Note Added: 14682
2011-04-06 13:44 DenisChenu Note Added: 14691
2011-04-06 13:44 DenisChenu Assigned To => DenisChenu
2011-04-06 13:44 DenisChenu Status new => assigned
2011-04-06 13:59 DenisChenu Note Added: 14693
2011-04-06 13:59 DenisChenu Status assigned => resolved
2011-04-06 13:59 DenisChenu Fixed in Version => 1.91RC6
2011-04-06 13:59 DenisChenu Resolution open => fixed
2011-04-11 11:30 c_schmitz Note Added: 14749
2011-04-11 11:30 c_schmitz Status resolved => closed
2015-12-11 14:40 c_schmitz Category Templates => Theme editor
+Issue History